<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="How we used Machinima techniques and World of Warcraft to make Death Knight Love Story">
    <meta name="author" content="">
    <link rel="shortcut icon" href="../images/favicon.png">

<style>

#wrap {background-image: url("../backgrounds/machinimabg.jpg") !important; background-repeat: no-repeat; background-size:cover; background-position: center center; background-attachment: fixed}

</style>

    <title>How We Used Machinima Techniques in WoW to make DKLS</title>

<link href="https://fonts.googleapis.com/css?family=Belleza" rel='stylesheet' type='text/css'>
    <!-- Bootstrap core CSS -->
   <link rel="stylesheet" href="https://netdna.bootstrapcdn.com/bootstrap/3.0.3/css/bootstrap.min.css">
<link rel="stylesheet" href="https://netdna.bootstrapcdn.com/bootstrap/3.0.3/css/bootstrap-theme.min.css">

    <!-- Custom styles for this template -->
    <link href="../css/sticky-footer-navbar.css" rel="stylesheet">

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https:http://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https:http://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>

    <!-- Wrap all page content here -->
    <div id="wrap">

           <!-- Fixed navbar -->
      <div class="navbar navbar-inverse navbar-static-top" role="navigation">
        <div class="container">
          <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
              <span class="sr-only">Toggle navigation</span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
            </button>
            <a href="../index.html"><img src="../images/logo.jpg"></a>
          </div>
          <div class="collapse navbar-collapse">
            <ul class="nav navbar-nav pull-right">
              <li  id="watch"><a href="../index.html">Watch</a></li>
              <li id="about"><a href="../about/index.html">About The Film</a></li>
	      <li id="behind"><a href="../behind-the-scenes/index.html">How It Was Made</a></li>
              <li id="gallery"><a href="../gallery/index.html">Gallery</a></li>
	      <li id="share"><a href="../share/index.html">Share The Film</a></li>
	      <li id="contact"><a href="../contact/index.html">Contact</a></li>
            </ul>
          </div><!--/.nav-collapse -->
        </div>
      </div>

      <!-- Begin page content -->
      <div class="container"><div class="panel main">
          <div class="page-header"><h1>How We Used Machinima Techniques in WoW to make DKLS</h1></div>

<p>Quite a few people have asked us questions about how Death Knight Love Story is made. Is it a Machinima film, or a standard animation? Is it filmed in World of Warcraft? Is it made by, in some way, cheating the game? </p>
<h2>Death Knight Love Story: Motion Capture Meets Machinima Meets CGI</h2>
<p>Death Knight Love Story is made in a completely unique way. That&#39;s a big claim, but in this case I genuinely don&#39;t know of any other film using even a mostly similar approach to filmmaking. </p>
<p>We start with the advantages of World of Warcraft. Obviously, our story was inspired by the background of World of Warcraft, and my (Hugh Hancock, the director and writer of DKLS) experience playing WoW. </p>
<p>But on a practical level, World of Warcraft was what made Death Knight Love Story in its current form possible. </p>
<h2>The Advantages Of Machinima</h2>
<p>Making a film using the assets of a game - what has become known as the &quot;Machinima&quot; approach - has huge advantages</p>
<p>Most animated films have to create their worlds from the ground up, which is draining not only in terms of creation time but also the number of choices that they have to make. For DKLS, we had an existing virtual world, the World of Warcraft, and we could approach it as conventional real-world filmmakers would: location scouting for the best spots to shoot. That limited the number of choices we had, which was actually an advantage: we couldn&#39;t get paralysed by a limitless canvas, but had to work within the confines of what we had. </p>
<p>For characters, we had a different advantage. As World of Warcraft is designed for millions of players to play simultaneously, each with their own unique character, it has to have an incredibly flexible system for creating distinctive characters. For an animated film, that sort of toolset is manna from heaven: where conventional animators have to spend a week or more modeling each individual character, we can spend more like 10 minutes. </p>
<p>( Death Knight Love Story part 1 has close on 100 unique characters on screen at various points - I tried to count, but gave up in the mid-sixties about half way through the film. If we&#39;d had to have each one created from scratch, at normal 3D modeling rates and timescales it would have cost us approximately $150,000 - $300,000. )</p>
<p>So did we film in-game? No, we didn&#39;t. </p>
<h2>Marrying WoW To Mocap</h2>
<p>We already knew that we wanted to use motion capture for Death Knight Love Story. That meant that we&#39;d have to either get the motion capture into World of Warcraft or get the characters and world of World of Warcraft out and into something else. </p>
<p>Both approaches were possible. While WoW isn&#39;t designed to be modded by end users, I&#39;ve been doing this for a long time (nearly 15 years) and know there are ways to persuade almost any game to accept new content. We could have written a program to take control of WoW characters in real-time and override their animations with motion capture, or we could have figured out a way to replicate the approach that Blizzard artists use when getting their animations into the game. </p>
<p>Equally, we could take the other approach. While every game has a unique way to store its 3D art, at the end of the day all 3D art is the same: a collection of polygons with various textures overlaid, linked to bones and other deformations to make those polygons move. It&#39;s possible to take that data out of a game in a variety of ways and inject it into another 3D application. </p>
<p>However, what&#39;s far harder is to inject new 3D rendering code into a game. If we were to film within World of Warcraft, we&#39;d be at least partially limited by the rendering engine. </p>
<p>But if we were to render in a conventional 3D tool like 3DS Max, the rendering might look incredible, but it would also be really slow! </p>
<p>Just as we were debating this approach for the second time, in 2010, a fantastic opportunity arose: the chance to combine the advantages of game-engine speed with conventional rendering quality. </p>
<h2>Enter (and exit) Mach Studio Pro</h2>
<p>In 2010, a new entrant to the 3D graphics world made headlines: a program called Mach Studio Pro. </p>
<p>Mach Studio Pro was programmed by graphics veterans from the computer games industry, and applied cutting-edge game engine graphics techniques to 3D filmmaking. For the first time, it made it possible to combine the advantages of real-time game-like rendering with the quality and power of conventional 3D tools. </p>
<p>We leaped on this tool as soon as it arrived, buying it for several thousand dollars. (It subsequently became free, which was <i>not</i> a development I was particularly thrilled by). </p>
<p>And that&#39;s how we made Death Knight Love Story. We took the 3D models from World of Warcraft for our sets and characters, applied motion capture in the same way that the studios making &quot;The Hobbit&quot; or &quot;Avatar&quot; would do it, then piped the results into this cutting-edge new tool to go back to a games-engine approach. And so we were able to get the best of all worlds: the power of normal 3D applications for scene creation, the speed and flexibility of Machinima in WoW, and the cutting edge of current realtime graphics which wouldn&#39;t have been possible in World of Warcraft. </p>



<p><a href="../index.html">Watch Death Knight Love Story now »</a>

      </div>
	</div>
</div>

    <div id="footer">
      <div class="container">
<form action="https://guerillashowrunner.us2.list-manage.com/subscribe/post?u=e31bef6d559f73acf2e31c8fc&amp;id=ff5a45ab29" method="post" id="mc-embedded-subscribe-form" name="mc-embedded-subscribe-form" class="validate" target="_blank" novalidate class="row">
<div class="col-md-6"><h4>Hear when Death Knight Love Story pt 2 & other films are released:</h4></div>
  <div class="form-group col-md-4">
    <input type="email" value="" name="EMAIL" class="form-control" id="mce-EMAIL" required placeholder="Enter email">
    <div style="position: absolute; left: -5000px;"><input type="text" name="b_e31bef6d559f73acf2e31c8fc_ff5a45ab29" value=""></div>
  </div><div class="col-md-2">
  <button type="submit" name="subscribe" id="mc-embedded-subscribe" class="btn btn-success">Find out »</button></div>
</form>


    <!-- Bootstrap core JavaScript
    ================================================== -->
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-696676-3']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://code.jquery.com/jquery-1.10.2.min.js"></script>
    <script src="http://www.deathknightlovestory.com/dist/js/bootstrap.min.js"></script>
  </body>
</html>
